import pygame

class HUD:
    def __init__(self,screen,player):
        self.screen = screen
        load = pygame.image.load
        self.player = player
        self.font = pygame.font.Font(None,30)
        self.feathers = player.feathers
        self.max_feathers = player.max_feathers
        self.ftext = self.font.render("x %d / %d"%(self.feathers,self.max_feathers),True,(255,255,255))
        self.ifeathers = load("data/images/hud-feathers.png").convert_alpha()
        self.goldfeathers = player.goldfeathers
        self.igold = load("data/images/item-gold.png").convert_alpha()
        self.ighost = load("data/images/hud-ghostfeather.png").convert_alpha()
        self.goldwings = load("data/images/wing-frame%d.png"% self.goldfeathers).convert_alpha()
        self.jumps = player.jumps
        self.jstart = load("data/images/hud-jumpstart.png").convert_alpha()
        self.jmid = load("data/images/hud-jumpmid.png").convert_alpha()
        self.jend = load("data/images/hud-jumpend.png").convert_alpha()
        self.hp = player.hp
        self.eggs = player.eggs
        self.iegg = load("data/images/hud-fullegg.png").convert_alpha()
        self.icrack = load("data/images/hud-halfegg.png").convert_alpha()
        self.ihurt = load("data/images/hud-noegg.png").convert_alpha()
    def draw(self):
        for e in range(self.eggs):
            self.screen.blit(self.ihurt,(100+e*32,10))
        for h in range(self.hp/2):
            self.screen.blit(self.iegg,(100+self.eggs*32-(h+1)*32,10))
        if self.hp%2 != 0:
            index = (self.eggs-self.hp/2)-1
            self.screen.blit(self.icrack,(100+index*32,10))
        self.screen.blit(self.ifeathers,(40,560))
        self.screen.blit(self.ftext,(68,563))
        self.screen.blit(self.goldwings,(10,10))
        self.screen.blit(self.jstart,(110,66))
        for i in range(self.goldfeathers+1):
            self.screen.blit(self.jmid,(120+i*24,66))
            self.screen.blit(self.ighost,(124+i*24,70))
        for i in range(self.jumps):
            self.screen.blit(self.igold,(124+i*24,70))
        self.screen.blit(self.jend,(144+self.goldfeathers*24,66))
    def update(self):
        player = self.player
        self.feathers = player.feathers
        self.max_feathers = player.max_feathers
        self.ftext = self.font.render("x %d / %d"%(self.feathers,self.max_feathers),True,(255,255,255))
        self.goldfeathers = player.goldfeathers
        if self.goldfeathers < 6:
            self.goldwings = pygame.image.load("data/images/wing-frame%d.png"% self.goldfeathers).convert_alpha()
        else:
            self.goldwings = pygame.image.load("data/images/wing-frame6.png").convert_alpha()
        self.jumps = player.jumps
        self.hp = player.hp
        self.eggs = player.eggs
        
